Office Endpoint

URL: https://www.realtracs.com/reso/Office

The Office endpoint provides information about offices in Realtracs. Our Office resource is fully data dictionary compliant.

For a list of fields available, please reference our metadata.


Supported Queries

You can query the Office endpoint using the following fields:

  • ModificationTimestamp – Returns offices updated since a specified date/time.
  • OfficeKey – Returns a specific office by its unique key.

⚠️ By default, only Active offices are returned. Inactive offices must be explicitly requested using a filter.

Please refer to the billing documentation to understand how querying on different fields impacts your transaction cost.

Sorting

  • Records are sorted by ModificationTimestamp by default.
  • You may also sort by OfficeKey

Filtering by Status

To include both Active and Inactive offices, use the OfficeStatus field in your $filter.

Example: Query Active and Inactive Offices

GET https://www.realtracs.com/reso/Office?$filter=OfficeStatus in ('Active','Inactive')
  • Returns offices where the OfficeStatus is either Active or Inactive.
  • You can combine this filter with $orderby, $top, or $count as needed.

Best Practices

  • We always update the ModificationTimestamp for an office when it changes. We never physically delete offices (they only go inactive), so you should never need to redownload the entire resource. Use ModificationTimestamp to retrieve only recently updated offices for efficiency.
  • When requesting inactive offices, always include explicit filtering; otherwise, they will not appear in the results.
  • Do not attempt to use $top and $skip for pagination. Instead, follow the @odata.nextLink